Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 189720 - Checking for external changes should only check open files.
Checking for external changes should only check open files.
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Filesystems
6.x
PC Windows XP
: P3 (vote)
: TBD
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on: 26230
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 15:55 UTC by esmithbss
Modified: 2010-09-27 20:17 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2010-08-20 15:55:08 UTC
When a developer swaps out of the IDE to another project/program/debug/etc..., the only files NetBeans really needs to immediately know about with regards to changes are the files which are opened in the IDE.

Any additional files will be refreshed/updated upon opening in the editor, building with Ant, running, debugging, etc...

At present, within the 6.9.1 IDE, I have 10 projects open.  7 JAR projects.  2 EAR Projects, and 1 JavaFX Project.  The only file I have open is the main frame/stage file for the JavaFX Project.

When I swap out to check EMail or IM and return to the IDE, the system immediately starts checking all 9850+ files in the 10 projects (about 5 minutes processing time).  During this check, the compilation/debugging of the JavaFX file is delayed due to either a lack of resources (like CPU hogging), or a block until the process is completed.

The check needs to happen in 2 phases.  

Phase 1 is to check the open files.  This needs to be quick and should be doable for the limited number of files NetBeans can hold open in a matter of seconds.

Phase 2 is to check the closed files.  At present, the only reason I can envision doing this is to update any icon flags for revision control or similar reasons.  This should be run at a lower priority in the background.


[In response to next question, sorry but I cannot provide the large project files]
Comment 1 Peter Pis 2010-08-25 13:15:49 UTC
Please evaluate.
Comment 2 Jaroslav Tulach 2010-09-27 20:17:27 UTC
Actually the currently selected file and its folder is check first. Anyway because of bug 26230 being finally handled, I don't think we will need to implement this enhancement anyway.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo